Bug 241827 - Listen Wont Start
Listen Wont Start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 17:55 EDT by Jonathan Steffan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 04:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-05-30 17:55:12 EDT
Description of problem:
Listen wont start.

Version-Release number of selected component (if applicable):
listen-0.5-15.fc7.1

How reproducible:
Always

Steps to Reproduce:
1. yum install listen
2. listen
  
Actual results:
$ listen 
Traceback (most recent call last):
  File "/usr/lib/listen/listen.py", line 52, in <module>
    import mutagen 
ImportError: No module named mutagen


Expected results:
Application runs.
Comment 1 Haïkel Guémar 2007-05-31 12:34:59 EDT
Have you python-mutagen installed ?
On my rawhide Box:
[root@shirayuki ~]# yum install listen
(...)
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 listen                  i386       0.5-15.fc7.1     development       701 k
Installing for dependencies:
 python-mutagen          noarch     1.11-1.fc7       development       218 k

Comment 2 Jonathan Steffan 2007-05-31 13:15:06 EDT
This is on Fedora 7 and no, python-mutagen is not installed.
Comment 3 Haïkel Guémar 2007-06-01 01:41:22 EDT
python-mutagen is an explicit dependence to Listen, you can't possibly install
it from repositories without it.
I tried again the operation on a fresh install and it does work.
Remove listen and try to reinstall it with yum, you should get a similar output.

[root@localhost ~]# yum install listen
(...)
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 listen                  i386       0.5-15.fc7.1     fedora            701 k
Installing for dependencies:
 python-mutagen          noarch     1.11-1.fc7       fedora            218 k
Comment 4 Jonathan Steffan 2007-06-30 23:53:44 EDT
Well, it works now. I recommend closing this bug.

Note You need to log in before you can comment on or make changes to this bug.